<template>
  <div class="message d-flex align-items-start" :class="{'me':isSent}" :id="'message'+message.id">
    <messagePicture :isSent="isSent" :message="message"></messagePicture>
    <div class="message-actions mr-2" v-if="isSent">
      <i class="fas fa-reply text-muted" v-show="message.created_at == null"></i>
    </div>

    <div class="d-flex flex-column">
      <messageHead :isSent="isSent" :message="message"></messageHead>

      <div class="border border-light rounded" :class="{'me':isSent}">
        <div v-html="content.content" class="html-container"></div>
      </div>

      <div class="text-muted-light">
        <small :class="{'float-right':isSent}">
          <template v-if="isSent">
            <i class="fas fa-clock" v-show="message.created_at == null"></i>
            <i class="fas fa-check" v-show="message.created_at != null"></i>
          </template>
          {{formatDate(message.created_at,"LT")}}
        </small>
      </div>
    </div>
  </div>
</template>

<script>
import chatMixin from "@/mixins/ChatMixin";
import MessagePicture from "../elements/MessagePicture";
import MessageHead from "../elements/MessageHead";
export default {
  mixins: [chatMixin],
  components: {
    MessagePicture,
    MessageHead
  }
};
</script>
<style scoped lang="scss">
.chat-content {
  overflow-y: scroll !important;
}
.message-actions {
  display: none;
  cursor: pointer;
}
.message:hover {
  .message-actions {
    display: block;
  }
}
.html-container {
  background: white;
  height: 25vh;
  width: 20vw;
  overflow-y: scroll;
}
</style>
